memory File Reference
Utilities » Memory

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_parallel_algorithm
#define | _GLIBCXX_MEMORY

## Enumerations

enum class | std::pointer_safety { relaxed , preferred , strict }

## Functions

void | std::declare_no_pointers (char *, size_t)
void | std::declare_reachable (void *)
pointer_safety | std::get_pointer_safety () noexcept
void | std::undeclare_no_pointers (char *, size_t)
template<typename _Tp>
_Tp * | std::undeclare_reachable (_Tp *__p)

## Detailed Description

This is a Standard C++ Library header.

Definition in file memory.

## Macro Definition Documentation

## __cpp_lib_parallel_algorithm

#define __cpp_lib_parallel_algorithm

Definition at line 148 of file memory.

## _GLIBCXX_MEMORY

#define _GLIBCXX_MEMORY

Definition at line 45 of file memory.